package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleDEField;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDEFieldSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleDEField] 服务对象接口
 */
public interface UserRoleDEFieldService extends IService<UserRoleDEField>{

		UserRoleDEField get(UserRoleDEField et);
	boolean remove(UserRoleDEField et);
	boolean create(UserRoleDEField et);
	boolean update(UserRoleDEField et);
	boolean getDraft(UserRoleDEField et);
	boolean checkKey(UserRoleDEField et);
    List<UserRoleDEField> listDefault(UserRoleDEFieldSearchFilter filter) ;
	Page<UserRoleDEField> searchDefault(UserRoleDEFieldSearchFilter filter);
	/**	 实体[UserRoleDEField] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }